www.cendio.com
Bug 5100 - merge gnome profiles
: merge gnome profiles
Status: CLOSED FIXED
: ThinLinc
Misc
: trunk
: PC Unknown
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-04-16 13:14 by
Modified: 2014-05-06 16:16 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-04-16 13:14:14
With bug 5077 sorted out, we might want to consider merging the Gnome 2 and
Gnome 3 profiles. The reason we have two are:

 - Gnome 3 didn't start (fixed when we upgraded Xorg)

 - Gnome 3 is started differently on Ubuntu (fixed by bug 5077)

 - Gnome 2 and 3 look different so different screen shots are needed

Only the last point is still valid, and the question is if it's important
enough to have an extra profile definition. For KDE we only have the one
profile, even though it can result in three different desktops (KDE 3, KDE 4
and KDE Plasma).
------- Comment #1 From cendio 2014-04-22 11:38:44 -------
Fixed in r28907.

Tester should verify that that:

 - Gnome 3 works
 - Gnome Classic works
 - Gnome 2 works on RHEL
 - Gnome 2 works on Solaris

Remember to check the images and the translations.
------- Comment #2 From cendio 2014-04-24 17:10:52 -------
(In reply to comment #1)
> Fixed in r28907.
> 
> Tester should verify that that:
> 
>  - Gnome 3 works
>  - Gnome Classic works
>  - Gnome 2 works on RHEL
>  - Gnome 2 works on Solaris
> 
> Remember to check the images and the translations.

Looks good, verified using build 4332.
------- Comment #3 From cendio 2014-05-05 16:17:25 -------
In profiles.hconf:

default=gnome-2
------- Comment #4 From cendio 2014-05-06 15:33:47 -------
(In reply to comment #3)
> In profiles.hconf:
> 
> default=gnome-2

Fixed in r28943.
------- Comment #5 From cendio 2014-05-06 16:16:29 -------
Looks good.